My Project: dgBigPlane Class Reference

My Project

Public Member Functions | List of all members
dgBigPlane Class Reference

`#include <dgPlane.h>`

Inheritance diagram for dgBigPlane:

## Public Member Functions

| dgBigPlane ()
| dgBigPlane (dgFloat64 x, dgFloat64 y, dgFloat64 z, dgFloat64 w)
| dgBigPlane (const dgBigVector &normal, dgFloat64 distance)
| dgBigPlane (const dgBigVector &P0, const dgBigVector &P1, const dgBigVector &P2)
dgBigPlane | Scale (dgFloat64 s) const
dgFloat64 | Evalue (const dgFloat32 *const point) const
dgFloat64 | Evalue (const dgFloat64 *const point) const
dgFloat64 | Evalue (const dgVector &point) const
dgFloat64 | Evalue (const dgBigVector &point) const
Public Member Functions inherited from dgBigVector
DG_INLINE | dgBigVector ()
DG_INLINE | dgBigVector (const dgVector &v)
DG_INLINE | dgBigVector (const dgTemplateVector< dgFloat64 > &v)
DG_INLINE | dgBigVector (const dgBigVector &copy)
DG_INLINE | dgBigVector (const dgFloat32 *const ptr)
DG_INLINE | dgBigVector (const dgFloat64 *const ptr)
DG_INLINE | dgBigVector (dgFloat64 x, dgFloat64 y, dgFloat64 z, dgFloat64 w)
Public Member Functions inherited from dgTemplateVector< dgFloat64 >
DG_INLINE | dgTemplateVector ()
DG_INLINE | dgTemplateVector (const dgFloat64 *const ptr)
DG_INLINE | dgTemplateVector (const dgTemplateVector< dgFloat64 > &copy)
DG_INLINE | dgTemplateVector (dgFloat64 x, dgFloat64 y, dgFloat64 z, dgFloat64 w)
DG_INLINE dgFloat64 & | operator[] (dgInt32 i)
DG_INLINE const dgFloat64 & | operator[] (dgInt32 i) const
DG_INLINE dgTemplateVector< dgFloat64 > | Scale3 (dgFloat64 scale) const
DG_INLINE dgTemplateVector< dgFloat64 > | Scale4 (dgFloat64 scale) const
DG_INLINE dgTemplateVector< dgFloat64 > | operator+ (const dgTemplateVector< dgFloat64 > &B) const
DG_INLINE dgTemplateVector< dgFloat64 > & | operator+= (const dgTemplateVector< dgFloat64 > &A)
DG_INLINE dgTemplateVector< dgFloat64 > | operator- (const dgTemplateVector< dgFloat64 > &A) const
DG_INLINE dgTemplateVector< dgFloat64 > & | operator-= (const dgTemplateVector< dgFloat64 > &A)
DG_INLINE dgFloat64 | operator% (const dgTemplateVector< dgFloat64 > &A) const
DG_INLINE dgTemplateVector< dgFloat64 > | operator* (const dgTemplateVector< dgFloat64 > &B) const
DG_INLINE dgTemplateVector< dgFloat64 > | AddHorizontal () const
DG_INLINE dgTemplateVector< dgFloat64 > | DotProduct4 (const dgTemplateVector &A) const
DG_INLINE dgTemplateVector< dgFloat64 > | CrossProduct4 (const dgTemplateVector &A, const dgTemplateVector &B) const
DG_INLINE dgTemplateVector< dgFloat64 > | CompProduct3 (const dgTemplateVector< dgFloat64 > &A) const
DG_INLINE dgTemplateVector< dgFloat64 > | CompProduct4 (const dgTemplateVector< dgFloat64 > &A) const

## Additional Inherited Members

Public Attributes inherited from dgTemplateVector< dgFloat64 >
dgFloat64 | m_x
dgFloat64 | m_y
dgFloat64 | m_z
dgFloat64 | m_w

## Constructor & Destructor Documentation

## § dgBigPlane() [1/4]

DG_INLINE dgBigPlane::dgBigPlane | ( |  | ) |

## § dgBigPlane() [2/4]

DG_INLINE dgBigPlane::dgBigPlane | ( | dgFloat64 | x,
|  | dgFloat64 | y,
|  | dgFloat64 | z,
|  | dgFloat64 | w
| ) |  |

## § dgBigPlane() [3/4]

DG_INLINE dgBigPlane::dgBigPlane | ( | const dgBigVector & | normal,
|  | dgFloat64 | distance
| ) |  |

## § dgBigPlane() [4/4]

DG_INLINE dgBigPlane::dgBigPlane | ( | const dgBigVector & | P0,
|  | const dgBigVector & | P1,
|  | const dgBigVector & | P2
| ) |  |

## Member Function Documentation

## § Evalue() [1/4]

DG_INLINE dgFloat64 dgBigPlane::Evalue | ( | const dgFloat32 *const | point | ) | const

## § Evalue() [2/4]

DG_INLINE dgFloat64 dgBigPlane::Evalue | ( | const dgFloat64 *const | point | ) | const

## § Evalue() [3/4]

DG_INLINE dgFloat64 dgBigPlane::Evalue | ( | const dgVector & | point | ) | const

## § Evalue() [4/4]

DG_INLINE dgFloat64 dgBigPlane::Evalue | ( | const dgBigVector & | point | ) | const

## § Scale()

DG_INLINE dgBigPlane dgBigPlane::Scale | ( | dgFloat64 | s | ) | const

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgPlane.h